import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  The <code>AWS::RDS::DBProxy</code> resource creates or updates a DB proxy.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-rds-dbproxy.html">the AWS Docs</a>
*/
export function dBProxy(dBProxyProps) {
    return new AwsResource('AWS::RDS::DBProxy', dBProxyProps, { Endpoint: 'Endpoint', VpcId: 'VpcId', DBProxyArn: 'DBProxyArn' });
}
